<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="initial-scale=1.0">
    {% block stylesheets %}
        <link href="{{ asset('build/app.css') }}" rel="stylesheet"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    {% endblock %}

    {% block javascripts %}
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.3/Chart.min.js" integrity="sha512-s+xg36jbIujB2S2VKfpGmlC3T5V2TF3lY48DX7u2r9XzGzgPsa6wTpOQA7J9iffvdeBN0q9tKzRxVxw1JviZPg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
        {{ encore_entry_script_tags('app') }}
    {% endblock %}
</head>
    {% include 'panier/modalConfirmPayment.html.twig' %}
    {% include 'panier/modalSoldTooSmall.html.twig' %}
    <body id="test">
        
            <div id="prevention">
                <div id="contenu-prevention">
                    Famille, Vie sociale, Santé financière. Êtes-vous prêt à tout miser  ?
                    Pour être aidé appelez le 09-74-75-13-13 (Appel non surtaxé)
                </div>
            </div>
            <div class="line"></div>
            <div class="navBar">
                <div class="navBar-wrapper">       
                    <a href="/" class="brand-logo">
                        <img src="{{ asset('img/ANYBET2.png') }}" alt="logo" class="logo">
                    </a>
                    <div class="navBarList">
                        {% if is_granted('ROLE_ADMIN') and is_granted('ROLE_USER') %}
                        <div class="elemtList">
                            <a href="{{ path('admin_category_index') }}">Admin</a>
                        </div>
                        
                        
                        <div class="elemtList">
                            <a href="/categories" >Catégories</a>
                        </div>
                        <div class="elemtList">
                            <a href="{{ path('app_create_bet') }}">Création de paris</a>
                        </div>
                        <div class="elemtList">
                            <a href="{{ path('app_profile_my_bets') }}">Mes paris</a>
                        </div>
                        <div class="elemtList">
                            <a href="{{ path('app_wallet') }}">Ma cagnotte</a>
                        </div>
                        <div class="elemtList">
                            <a href="{{ path ('app_profile_transaction') }}">Transactions</a>
                        </div>
                        <div class="elemtList">
                            <a href="{{ path ('app_profile_stat') }}">Statistiques</a>
                        </div>
                        

                    </div>
                    <div class="navBarLoginConnected">
                        <div class="NavProfile">
                            <a href="{{ path('user_edit', {'id': app.user.id}) }}">
                                <i class="material-icons">account_circle</i>
                                <div id="Navfirstname">{{ app.user.firstname }}</div>
                            </a>    
                        </div>
                        <div class="NavDeconnexion">
                            <a href="{{ path('app_logout') }}"><i class="material-icons">logout</i></a>
                        </div>
                    </div>

                    {% elseif is_granted('ROLE_USER') %}
                        <div class="elemtList">
                            <a href="/categories" >Catégories</a>
                        </div>
                        <div class="elemtList">
                            <a href="{{ path('app_create_bet') }}">Création de paris</a>
                        </div>
                        <div class="elemtList">
                            <a href="{{ path('app_profile_my_bets') }}">Mes paris</a>
                        </div>
                        <div class="elemtList">
                            <a href="{{ path('app_wallet') }}">Ma cagnotte</a>
                        </div>
                        <div class="elemtList">
                            <a href="{{ path ('app_profile_transaction') }}">Transactions</a>
                        </div>
                        <div class="elemtList">
                            <a href="{{ path ('app_profile_stat') }}">Statistiques</a>
                        </div>
                        
                       
                    </div>
                    <div class="navBarLoginConnected">
                        <div class="NavDeconnexion">
                            <a href="{{ path('app_logout') }}"><i class="material-icons">logout</i></a>
                        </div>
                        <div class="NavProfile">
                            <a href="{{ path('user_edit', {'id': app.user.id}) }}">Bonjour {{ app.user.firstname }}</a>
                        </div>
                    </div>
                    {% else %}
                        <div class="elemtList">
                            <a href="/categories" >Catégories</a>
                        </div>
                        <div class="elemtList">
                            <a href="{{ path('app_create_bet') }}">Création de paris</a>
                        </div>
                    </div>
                    <div class="navBarLogin">
                        <div class="elemtList">
                            <a href="{{ path('app_register')}}">Inscription</a>
                        </div>
                        <div class="connexion">
                            <a href="{{ path('app_login')}}">Connexion</a>
                        </div>
                        
                    </div>
                    {% endif %}
                </div>
            </div>


        <div class="container-body">
            <div class="bodyContent">
                {% if  app.request.attributes.get('_route') == 'default' or app.request.attributes.get('_route') == 'categories' or app.request.attributes.get('_route') == 'evenements' or app.request.attributes.get('_route') == 'user_bet'%}

                    <div class="left-side-bar-container">
                    {% if  app.request.attributes.get('_route') == 'default' %}
                        <div class="left-side-bar-top">
                            <i class="material-icons">search</i>

                                {{ form(form) }}

                                {% if searchResultCat != null or searchResultEvent != null or searchResultBet != null %}
                                    <ul class="searchResults">
                                        {% if searchResultCat != null %}
                                            <div class="title-search-box">

                                                <p class="searchResults-title">Catégories :</p>
                                                <i class="close-search material-icons">close</i>
                                            </div>

                                        {% endif %}

                                        {% for result in searchResultCat %}
                                            <li><a href="/evenements/{{ result.id }}">{{ result.name }}</a></li>
                                        {% endfor %}

                                        {% if searchResultEvent != null %}
                                            <div class="title-search-box">
                                                <p class="searchResults-title">Événements :</p>
                                                <i class="close-search material-icons">close</i>
                                            </div>
                                        {% endif %}

                                        {% for result in searchResultEvent %}
                                            <li><a href="/bet/{{ result.id }}">{{ result.name }}</a></li>

                                        {% endfor %}

                                        {% if searchResultBet != null %}
                                            <div class="title-search-box">
                                                <p class="searchResults-title">Paris :</p>
                                                <i class="close-search material-icons">close</i>
                                            </div>
                                        {% endif %}

                                        {% for result in searchResultBet %}
                                            <li><a href="profil/pari/{{ result.id }}">{{ result.name }}</a></li>
                                        {% endfor %}


                                    </ul>

                                {% endif %}
                        </div>
                    {% endif %}
                        <div class="left-side-bar-mid">
                            <div class="left-side-bar-mid-title">
                                Catégories
                            </div>
                            <div class="left-side-bar-mid-categories-list">
                                {% for i in 0.. 4 %}
                                    {% if categories[i] is defined %}
                                        <div class="categories-list">
                                            <div class="img-categories">
                                                <img src="{{ asset('img/categories/' ~ categories[i].getLogo()) }}" height="20px" width-"auto" alt=""></img>
                                            </div>
                                            <a href="/evenements/{{categories[i].getId()}}">{{categories[i].getName()}}</a>
                                        </div>
                                        <div class="horizontal-sparator-container">
                                            <div class="horizontal-sparator"></div>
                                        </div>
                                    {% endif %}
                                {% endfor %}
                            </div>

                            {# <div class="left-side-bar-mid-categories-list">
                                <div class="categories-list">
                                    <div class="img-categories">
                                        <img src="{{ asset('img/categories/football.png') }}" height="20px" width-"auto" alt=""></img>
                                    </div>
                                    <a href="{{ path('evenements', {'id': 32}) }}">Football</a>
                                </div>
                                <div class="horizontal-sparator-container">
                                    <div class="horizontal-sparator"></div>
                                </div>
                                <div class="categories-list">
                                    <div class="img-categories">
                                        <img src="{{ asset('img/categories/tennis.png') }}" height="20px" width-"auto" alt=""></img>
                                    </div>
                                    <a href="{{ path('evenements', {'id': 33}) }}">Politique</a>
                                </div>
                                <div class="horizontal-sparator-container">
                                    <div class="horizontal-sparator"></div>
                                </div>
                                <div class="categories-list">
                                    <div class="img-categories">
                                        <img src="{{ asset('img/categories/velo.png') }}" height="20px" width-"auto" alt=""></img>
                                    </div>
                                    <a href="{{ path('evenements', {'id': 34}) }}">Séries</a>
                                </div>
                                <div class="horizontal-sparator-container">
                                    <div class="horizontal-sparator"></div>
                                </div>
                                <div class="categories-list">
                                    <div class="img-categories">
                                        <img src="{{ asset('img/categories/moto.png') }}" height="20px" width-"auto" alt=""></img>
                                    </div>
                                    <a href="{{ path('evenements', {'id': 35}) }}">Internet</a>
                                </div>
                                <div class="horizontal-sparator-container">
                                    <div class="horizontal-sparator"></div>
                                </div>
                                <div class="categories-list">
                                    <div class="img-categories">
                                        <img src="{{ asset('img/categories/autre.png') }}" height="20px" width-"auto" alt=""></img>
                                    </div>
                                    <a href="{{ path('evenements', {'id': 36}) }}">Autre</a>
                                </div
                            
                                
                            </div> #}
                        </div>
                        <div class="left-side-bar-mid">
                            <div class="left-side-bar-mid-title">
                                Événements
                            </div>
                            <div class="left-side-bar-mid-categories-list">
                            {% for i in 0.. 4 %}
                                {% if famousBets[i] is defined %}
                                    <div class="categories-list">
                                        <div class="img-categories">
                                            <img src="{{ asset('img/categories/' ~ famousBets[i].event_idEvent.categoryIdCategory.logo ) }}" height="20px" width-"auto" alt=""></img>
                                        </div>
                                        <a href="/bet/{{famousBets[i].event_idEvent.id}}">{{famousBets[i].event_idEvent.name}}</a>
                                    </div>
                                    <div class="horizontal-sparator-container">
                                        <div class="horizontal-sparator"></div>
                                    </div>
                                {% endif %}
                            {% endfor %}
                                
                            </div>
                        </div>
                    </div>
                    
                {% endif %}
                {% block section %}{% endblock %}
                {% if  app.request.attributes.get('_route') == 'default' or app.request.attributes.get('_route') == 'categories' or app.request.attributes.get('_route') == 'evenements' or app.request.attributes.get('_route') == 'user_bet' or app.request.attributes.get('_route') == 'app_profile_bet' or app.request.attributes.get('_route') == 'app_bet_user_invite' %}



                <div class="right-side-bar">
                    <div class="title-content-panier">
                        <div id="title-box-panier">
                            Panier
                        </div>
                        <div id="panier">

                            {% for betChoiceAsUser in asUser.findBy({'user_idUser':app.user, 'validated':false}) %}
                                <div id="{{ betChoiceAsUser.getIdBetChoice().id }}" class="addBet">
                                    <div class="panier-titles">
                                        <div class="titleAndclose">
                                            <div id="event-{{ betChoiceAsUser.getIdBetChoice().id }}" class="panier-event-title">
                                                {{ betChoiceAsUser.getIdBetChoice().getBet().getEventIdEvent().name }}
                                            </div>
                                            <div id="{{ betChoiceAsUser.getIdBetChoice().id }}" class="closeBetbutton" onclick="deleteBetChoice({{ betChoiceAsUser.getIdBetChoice().id }})">
                                                <i class="tiny material-icons">close</i>
                                            </div>
                                        </div>
                                        {# <div id="event-{{ betChoiceAsUser.getIdBetChoice().id }}" class="panier-event-title">{{ betChoiceAsUser.getIdBetChoice().getBet().getEventIdEvent().name }}</div> #}
                                        {# <div id="{{ betChoiceAsUser.getIdBetChoice().id }}" class="panier-bet-title" onclick="deleteBetChoice({{ betChoiceAsUser.getIdBetChoice().id }})">X</div> #}
                                        <div id="event-{{ betChoiceAsUser.getIdBetChoice().id }}" class="panier-bet-title">{{ betChoiceAsUser.getIdBetChoice().getBet().name }} : {{ betChoiceAsUser.getIdBetChoice().name }}</div>
                                    </div>

                                    <div id="{{ betChoiceAsUser.getIdBetChoice().id }}" class="mise-box">
                                        <div class="cote-boxe">
                                            <div class="cote-title">Cote</div>
                                            <div id="cote-{{ betChoiceAsUser.getIdBetChoice().id }}" class="cote" >{{ betChoiceAsUser.ratingAtThisMoment }} </div>
                                        </div>
                                        <input id="{{ betChoiceAsUser.getIdBetChoice().id }}" class="input-box" placeholder="Saisis ta mise" type="number" maxlength="3">
                                        <div id="bet-choice-{{ betChoiceAsUser.getIdBetChoice().id }}" class="gain"></div>
                                    </div>
                                </div>

                            {% endfor %}
                        </div>
                    </div>

                    <div class="caisse">
                        <div class="total-mise" id = "total-mise">
                            <div class="total-mise-text">Mise totale </div>
                            <div id="total-mise-value" class="total-mise-value">{{sumOfStakes}} €</div>
                        </div>
                        <div class="total-mise">
                            <div class="total-mise-text">Gain total</div>
                            <div id="total-gain-value" class="total-gain-value">{{sumOfGain}} €</div>
                        </div>

                            <div class="button-caisse">
                                <div id="validate" onclick="onClickLinkValidate()">Parier</div>
                            </div>
                        </div>
                    </div>

                    

                </div>

                {% endif %}

            </div>

        </div>

    </body>

    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="{{ asset('js/createBetForm.js') }}"></script>
    <script src="{{ asset('js/modalInviteUserPrivateBet.js') }}"></script>
    <script src="{{ asset('js/copyPasteBetLink.js') }}"></script>
    <script src="{{ asset("js/amount.js") }}"></script>
    <script src="{{ asset('js/create.js') }}"></script>
    <script>
        
        // $(document).ready(function(){
        //     $('.sidenav').sidenav();
        // });
        function close(modal) {
            $(modal).css('display', 'none');
        } 

        {% for type, messages in app.flashes() %}
            {% for message in messages %}
                M.toast({html: '{{ message }}', classes: '{{ type }}'});
            {% endfor %}
        {% endfor %}

        $('.close-search').on('click', function(){
            $('.searchResults').detach();
        })

      



        $('input.input-box').on('change paste keyup', function() {
            let gain_potentiel = ($(this).val()*$(this).prev().children(".cote").text()).toFixed(2);
            $(this).next().text(gain_potentiel+'€');

            $(".total-mise-value").text(function(){
                return $('input.input-box').toArray().reduce(function(tot, val) {
                    let a = parseInt(val.value);
                    a = a || 0
                    return tot + a;
                }, 0) + "€";


            });

            $(".total-gain-value").text(function(){

                return $('input.input-box').toArray().reduce(function(tot, val) {
                    let a = parseInt(val.value)*document.getElementById(`cote-${val.id}`).textContent;
                    a = a || 0
                    return tot + a;
                }, 0).toFixed(2) + "€";


            });
        });

        Array.from(document.querySelectorAll('a.choice-button')).forEach(function (link) {
            link.addEventListener('click', onClickLink);
        });




        async function onClickLink(event) {
            event.preventDefault();
            const url = this.href;
            const local = $(this);
            axios.get(url).then(function(response) {
                if (response.data['status'] === 'add') {
                    local.toggleClass("selected");
                    //createElem(fct, type, id, classe, content, currentDiv)

                     

                    createElem('','div', local.attr('name'), 'addBet', '', document.getElementById('panier') );
                    createElem('','div', `box-title-${local.attr('name')}`, 'panier-titles', "",document.getElementById(local.attr('name')) );
                    console.log(document.getElementById(`box-title-${local.attr('name')}`));
                    createElem('','div', `titleAndclose-${local.attr('name')}`, 'titleAndclose', "",document.getElementById(`box-title-${local.attr('name')}`) );
                    createElem('','div', `event-${local.attr('name')}`, 'panier-event-title', response.data['Event name'],document.getElementById(`titleAndclose-${local.attr('name')}`) );
                    
                    createElem(`deleteBetChoice(${local.attr('name')})`, 'div', `closeBetbutton-${local.attr('name')}`, `closeBetbutton`, '', document.getElementById(`titleAndclose-${local.attr('name')}`) );
                    
                    createElem(``, 'i', ``, `tiny material-icons`, 'close', document.getElementById(`closeBetbutton-${local.attr('name')}`) );
                    
                    
                    createElem('','div', `bet-${local.attr('name')}`, 'panier-bet-title', response.data['Bet name']+" : "+local.attr('id'), document.getElementById(`box-title-${local.attr('name')}`));

                    createElem('','div', `box-input-${local.attr('name')}`, 'mise-box', '',document.getElementById(local.attr('name')) );
                    createElem('','div', `cote-boxe-${local.attr('name')}`, 'cote-boxe', '',document.getElementById(`box-input-${local.attr('name')}`) );
                    createElem('','div', `${local.attr('name')}`, 'cote-title', 'Cote',document.getElementById(`cote-boxe-${local.attr('name')}`) );
                    createElem('','div', `cote-${local.attr('name')}`, 'cote', response.data['rating'],document.getElementById(`cote-boxe-${local.attr('name')}`) );
                    createInput('','input', `${local.attr('name')}`, 'input-box', "",document.getElementById(`box-input-${local.attr('name')}`) );
                    createElem('','div', `bet-choice-${local.attr('name')}`, 'gain', '',document.getElementById(`box-input-${local.attr('name')}`) );
                    $(document).ready(function () {
                        $("input").on("change paste keyup", function () {
                            $(this).next().text(($(this).val()*$(this).prev().children(".cote").text()).toFixed(2)+'€');
                        });
                    });

                    $('input.input-box').on('change paste keyup', function() {
                        $(".total-mise-value").text(function(){

                            return $('input.input-box').toArray().reduce(function(tot, val) {
                                let a = parseInt(val.value);
                                a = a || 0
                                return tot + a;
                            }, 0) + "€";


                        });
                    });
                
                



                    $(".total-gain-value").text(function(){

                        return $('input.input-box').toArray().reduce(function(tot, val) {
                            let a = parseInt(val.value)*document.getElementById(`cote-${val.id}`).textContent;
                            a = a || 0
                            return tot + a;
                        }, 0).toFixed(2) + "€";


                    });


                } else {
                    local.removeClass("selected");
                    document.getElementById(local.attr('name')).remove();
                }

            })
        }

        

        function createElem(fct, type, id, classe, content, currentDiv){
            let newDiv = document.createElement(type);
            newDiv.id = id;
            newDiv.className = classe;
            newDiv.textContent = content;
            newDiv.setAttribute('onclick',fct);
            currentDiv.appendChild(newDiv);
        }

        function createInput(fct, type, id, classe, content, currentDiv){
            let newDiv = document.createElement(type);
            newDiv.id = id;
            newDiv.className = classe;
            newDiv.textContent = content;
            newDiv.onclick = fct;
            newDiv.placeholder = "Saisis ta mise";
            newDiv.type="number";


            currentDiv.appendChild(newDiv);
        }
        
    function scrollToAnchor(aid){
        var aTag = $("a[name='"+ aid +"']");
        $('html,body').animate({scrollTop: aTag.offset().top},'slow');
    }

    function verifAmountWallet() {
    // Calcul du montant à payer
    let allStake = {};
    let allElem = document.querySelectorAll('.input-box');
    let amount_cart = 0;
    for (let i = 0; i < allElem.length; i++) {
            allStake[allElem[i].id] = allElem[i].value;
            amount_cart += parseFloat(allElem[i].value);
    }


    let total_wallet = getCookie("wallet_amount");

    if (amount_cart > parseFloat(total_wallet)) {
        return false;
    } else {
        return true;
    }
    
}

function verifMise() {
    let allElem =  document.getElementsByClassName("input-box");
    var error = 0;
    var panier = document.getElementById("panier");

    if (panier.children.length <= 0) {
        $('#' + panier.id).after('<div class="error-modal">Votre panier est vide</div>');
            error = 1;
    }

    for (i = 0; i < allElem.length; i++) {
        stake_amount = parseFloat(allElem[i].value);

        if (isNaN(stake_amount)) {
            id = allElem[i].parentElement.id;
            mise_box = document.getElementById(id);
            
            $('#' + id).before('<div class="error-modal">Veuillez saisir un nombre</div>');
            error = 1;
            
        } else if (stake_amount < 1) {
            id = allElem[i].parentElement.id;
            mise_box = document.getElementById(id);
            
            $('#' + id).before('<div class="error-modal">Veuillez saisir un nombre supérieur ou égal à 1</div>');
            error = 1;

        }
    }

    if (error === 1) {
        return false;
    } else {
        return true;
    }
}

function getCookie(name){
    if(document.cookie.length == 0) {
         return null;
    }
    
    var regSepCookie = new RegExp('(; )', 'g');
    var cookies = document.cookie.split(regSepCookie);

    for(var i = 0; i < cookies.length; i++){
      var regInfo = new RegExp('=', 'g');
      var infos = cookies[i].split(regInfo);
      if(infos[0] == name){
        return unescape(infos[1]);
      }
    }
    return null;
  }
  
function removeElementsByClass(className){
    const elements = document.getElementsByClassName(className);
    while(elements.length > 0){
        elements[0].parentNode.removeChild(elements[0]);
    }
}

function modalValidate(){
        // Affichage de la modale de confirmation de paiement
    var modal_content = document.getElementById("modal-content");

    $('#modal-header').after('<div id="modalPaymentBody" class="modal-body"></div>');
    var modal_body = document.getElementById("modalPaymentBody")

    var panier = document.getElementById("panier");
    var panier_clone = panier.cloneNode(true);

    modal_body.appendChild(panier_clone);

    var modal_caisse = document.getElementById("total-mise");
    modal_caisse.classList.add('total-mise-modal');

    var caisse_clone = modal_caisse.cloneNode(true);
    modal_body.appendChild(caisse_clone);

    var modal_caisse_value = document.getElementById("total-mise-value");
    modal_caisse_value.classList.add('total-mise-value-modal');

    var cote_modal = document.getElementsByClassName("input-box");
    for (i = 0; i < cote_modal.length; i++) {
        cote_modal[i].disabled= true;
    }

    var modal_btn = document.getElementById("button-caisse-modal");

    modalConfirmPayment.style.display = "block";
}


function onClickLinkValidate() {
    removeElementsByClass("error-modal");
    let allStake = {};
    let allElem = document.querySelectorAll('.input-box');
    let amount_cart = 0;
    for (let i = 0; i < allElem.length; i++) {
            allStake[allElem[i].id] = allElem[i].value;
            amount_cart += parseFloat(allElem[i].value);
    }
    
    $.ajax({
            type: "POST",
            url: "/stake",
            data: {'stake' : allStake}, 
            dataType: "json",
            success: function(response) {
                console.log(response);
            }            
        });

    if (verifMise() === false) {
        return;
    } else {
        modalValidate();
    }
}

function deleteBetChoice(id){
    $.ajax({url: `/${id}/deleteBetChoice`, success: function(response){
        if(response.status === "remove"){
            return
        } else {
            alert("échec")
        }
  }});
  $(`#${id}`).remove();
  $(`#${id}-cote`).remove();
  $(`[name="${id}"]`).removeClass("selected");
}

function validate(){
    $.ajax({url: "/validate", success: function(response){
        if(response.solde === "ok"){
            window.location.href = "/login";
        } else {
            modalSoldTooSmall.style.display = "block";
        }
  }});
}

    </script>
</body>
</html>
